#include <stdio.h>
#include <stdlib.h>
#include <math.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */
typedef struct {
	float x;
	float y;
} Point;

typedef struct {
	Point A;
	Point B;
} Rectangle;


void doubleIt(Rectangle orig, Rectangle *dbl)
{
	float dx = fabs(orig.A.x - orig.B.x);
	float dy = fabs(orig.A.y - orig.B.y);

	(*dbl).A.x = orig.A.x;
	(*dbl).A.y = orig.A.y;

	(*dbl).B.x = orig.A.x + 2 * dx;
	(*dbl).B.y = orig.A.y + 2 * dy;
}



float distance(Point A, Point B)
{
	float dx = pow(A.x - B.x, 2);
	float dy = pow(A.y - B.y, 2);
	
	float dist = sqrt(dx + dy);
	return dist;
}

int main(int argc, char *argv[]) {
	Point w = {3.1, 4.2}, f = {5.2, 7.8};
	printf("distance = %f\n", distance(w, f));
	
	Rectangle Demo = { {3.1, 4.2}, {5.2, 7.8}};
	Rectangle dblDemo;
	
	doubleIt(Demo, &dblDemo);
	
	printf("A(%f, %f)\n", dblDemo.A.x, dblDemo.A.y );
	printf("B(%f, %f)\n", dblDemo.B.x, dblDemo.B.y );
	
	return 0;
}
